
QGIS Application - Bug report #907

Crash of QGIS 0.9.1 opening attribut table

2008-01-16 04:40 AM - Yves Jacolin

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Mandriva Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10966

Description

Description :

edit a layer, copy-paste a feature from a layer to another one. 

As the attribute table are different between the two layers, when you save your 

modification, a windows alert you that there is a problem with the type of the 

fields XXX (which is boolean in my test case, and I try to insert text for example).

With the 0.8.0 release, you could open the attribut table, looked for the '-1' id and 

change the incorrect data and save the layer. However, with the 0.9.1 release, 

QGIS crash when you try to open the attribut table.

History

#1 - 2008-01-16 05:10 AM - Tim Sutton

This looks like one for Marcos attention

#2 - 2008-03-16 10:58 AM - Jürgen Fischer

Is this still the case >=commit:bd9f43f1 (SVN r8212)? Which data providers were you using?

#3 - 2008-03-25 07:07 AM - Yves Jacolin

- Resolution set to fixed

- Status changed from Open to Closed

I used [[PostGIS]] DataBase. This bug has been corrected. Thanks :)

#4 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
